Get desktop app settings (internal)

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
GET /extraction/app-settings/status

Desktop plumbing: returns whether local conversion, local compression and collection events are turned on.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • localConversionEnabled boolean Required

        Local conversion status

      • localCompressionEnabled boolean Required

        Local compression status

      • collectionEventsEnabled boolean Required

        Send collection events + heartbeats

    • statusCode number Required
    • timestamp string(date-time) Required
GET /extraction/app-settings/status
curl \
 --request GET 'http://api.example.com/extraction/app-settings/status' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "data": {
    "localConversionEnabled": true,
    "localCompressionEnabled": true,
    "collectionEventsEnabled": false
  },
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}